cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Prasanth Gullapalli (JIRA)" <j...@apache.org>
Subject [jira] [Reopened] (CASSANDRA-7218) cassandra-all:2.1.0-beta1 maven dependency failing
Date Wed, 14 May 2014 04:28:15 GMT

     [ https://issues.apache.org/jira/browse/CASSANDRA-7218?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Prasanth Gullapalli reopened CASSANDRA-7218:
--------------------------------------------

    Reproduced In: 2.1 beta2, 2.1 beta1  (was: 2.1 beta1)
    Since Version: 2.1 beta1
           Tester: Prasanth Gullapalli

[~dbrosius@apache.org]
I tried it with 2.1beta2 as well. But the same dependency issue exists even there. In fact
it is throwing more number of dependency issues. Here is the stack trace:

* What went wrong:                                                                       
   
Could not resolve all dependencies for configuration ':mapro-commons:compile'.           
   
> Could not find ch.qos.logback:logback-classic:1.1.12.                               
      
  Required by:                                                                           
   
      MAPro_Transactor:mapro-commons:1.0 > com.adaequare.mapro.model:mapro-model:2.0-SNAPSHOT
> Could not find io.netty:netty:4.0.17.Final.                                         
      
  Required by:                                                                           
   
      MAPro_Transactor:mapro-commons:1.0 > com.datastax.cassandra:cassandra-driver-core:2.0.1
> Could not find ch.qos.logback:logback-core:1.1.12.                                  
      
  Required by:                                                                           
   
      MAPro_Transactor:mapro-commons:1.0 > org.apache.cassandra:cassandra-all:2.1.0-beta2
   
> Could not find ch.qos.logback:logback-classic:1.1.12.                               
      
  Required by:                                                                           
   
      MAPro_Transactor:mapro-commons:1.0 > org.apache.cassandra:cassandra-all:2.1.0-beta2
   
> Could not find com.github.stephenc:jamm:0.2.6.                                      
      
  Required by:                                                                           
   
      MAPro_Transactor:mapro-commons:1.0 > org.apache.cassandra:cassandra-all:2.1.0-beta2
   
> Could not find io.netty:netty:4.0.17.Final.                                         
      
  Required by:                                                                           
   
      MAPro_Transactor:mapro-commons:1.0 > org.apache.cassandra:cassandra-all:2.1.0-beta2
   
                                                                                         
   

> cassandra-all:2.1.0-beta1 maven dependency failing
> --------------------------------------------------
>
>                 Key: CASSANDRA-7218
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-7218
>             Project: Cassandra
>          Issue Type: Bug
>          Components: API, Core
>            Reporter: Prasanth Gullapalli
>            Assignee: Dave Brosius
>             Fix For: 2.1 rc1
>
>
> I have included cassandra-all in my gradle dependencies list. Here is it:
> compile org.apache.cassandra:cassandra-all:2.1.0-beta1
> But when I am trying to build, it is failing with the following exception:
> * What went wrong:
> Could not resolve all dependencies for configuration ':mapro-commons:compile'.
> > Could not find com.github.stephenc:jamm:0.2.6.
>   Required by:
>       MAPro_Transactor:mapro-commons:1.0 > org.apache.cassandra:cassandra-all:2.1.0-beta1
> Now I can not find com.github.stephenc:jamm:0.2.6. in maven repository.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message